From 7eb9c6b2a09932d0a6285382e1709ce70faa860a Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Jan 28 2020 06:35:59 +0000
Subject: [PATCH 18/2232] Touch up cxxbridge.h emit PR


---

diff --git a/cmd/src/main.rs b/cmd/src/main.rs
index 96d21a5..8550261 100644
--- a/cmd/src/main.rs
+++ b/cmd/src/main.rs
@@ -1,9 +1,10 @@
 mod gen;
 mod syntax;
 
-use gen::include::get_full_cxxbridge;
-use std::io::{self, Error, ErrorKind, Write};
+use gen::include;
+use std::io::{self, Write};
 use std::path::PathBuf;
+use std::process;
 use structopt::StructOpt;
 
 #[derive(StructOpt, Debug)]
@@ -13,12 +14,12 @@ struct Opt {
     #[structopt(parse(from_os_str))]
     input: Option<PathBuf>,
 
-    /// Emit header with declarations only. If no input is specified, emit cxxbridge.h
+    /// Emit header with declarations only
     #[structopt(long)]
     header: bool,
 }
 
-fn main() -> Result<(), Error> {
+fn main() {
     let opt = Opt::from_args();
 
     if let Some(input) = opt.input {
@@ -28,11 +29,12 @@ fn main() -> Result<(), Error> {
             gen::do_generate_bridge
         };
         let bridge = gen(&input);
-        io::stdout().lock().write_all(bridge.as_ref())
+        let _ = io::stdout().lock().write_all(bridge.as_ref());
     } else if opt.header {
-        io::stdout().lock().write_all(get_full_cxxbridge().as_ref())
+        let header = include::HEADER;
+        let _ = io::stdout().lock().write_all(header.as_ref());
     } else {
-        let mut clap = Opt::clap().after_help("");
-        clap.print_help().or(Err(Error::new(ErrorKind::Other, "Failed to write help")))
+        let _ = Opt::clap().after_help("").print_help();
+        process::exit(1);
     }
 }
diff --git a/gen/include.rs b/gen/include.rs
index f38ae73..d4ff758 100644
--- a/gen/include.rs
+++ b/gen/include.rs
@@ -1,4 +1,4 @@
-static HEADER: &str = include_str!("include/cxxbridge.h");
+pub static HEADER: &str = include_str!("include/cxxbridge.h");
 
 pub fn get(guard: &str) -> &'static str {
     let ifndef = format!("#ifndef {}\n", guard);
@@ -11,7 +11,3 @@ pub fn get(guard: &str) -> &'static str {
         panic!("not found in cxxbridge.h header: {}", guard)
     }
 }
-
-pub fn get_full_cxxbridge() -> &'static str {
-    return HEADER
-}

